# Russian

@Serializable(with = IetfLangSerializer::class )
sealed interface Russian : IetfLang (source)

#### Inheritors

BY
KG
KZ
MD
RU
UA
Companion

## Types

BY
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object BY : IetfLang.Russian
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Russian
KG
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object KG : IetfLang.Russian
KZ
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object KZ : IetfLang.Russian
MD
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object MD : IetfLang.Russian
RU
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object RU : IetfLang.Russian
UA
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object UA : IetfLang.Russian

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale